ユーザーグループの作成
新しいユーザーグループを作成します。
必要な権限
ADMIN以上のロールが必要です。
HTTPリクエスト
POST /api/sonar/user-groups
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
-d name="Cyber Security" \
-X POST \
https://HOSTNAME/api/sonar/user-groups
リクエストパラメータ
| キー | 必須 | 型 | 説明 | 備考 |
|---|---|---|---|---|
| name | ○ | 文字列 | ユーザーグループ名 | 最小1文字、最大200文字 |
| guid | × | 文字列 | ユーザーグループGUID | 36文字 |
| company_guid | × | 文字列 | 会社GUID | 36文字。クラスター管理者のみ使用可能 |
| description | × | 文字列 | 説明 | 最大2,000文字 |
| user_guids | × | 配列 | ユーザー識別子リスト | 無効なユーザー識別子は無視されます |
正常応答
{}
エラー応答
必須パラメータが欠落している場合
{
"error_code": "null-argument",
"error_msg": "name should be not null"
}
パラメータ値の長さが不正な場合
{
"error_code": "invalid-argument",
"error_msg": "'name' must be shorter than or equal to 200 characters."
}
ユーザー識別子がGUID形式でない場合
{
"error_code": "invalid-param-type",
"error_msg": "user_guids should be guid type."
}